Package org.codehaus.janino

# Interface Visitor.AbstractCompilationUnitVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.AbstractCompilationUnitVisitor<R,EX extends Throwable>
The visitor for the different kinds of `Java.AbstractCompilationUnit`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitCompilationUnit(Java.CompilationUnit cu)`
Invoked by `Java.CompilationUnit.accept(Visitor.AbstractCompilationUnitVisitor)`
`R`
`visitModularCompilationUnit(Java.ModularCompilationUnit mcu)`
Invoked by `Java.ModularCompilationUnit.accept(Visitor.AbstractCompilationUnitVisitor)`

## Method Details

### visitCompilationUnit

@Nullable R visitCompilationUnit(Java.CompilationUnit cu) throws EX
Invoked by `Java.CompilationUnit.accept(Visitor.AbstractCompilationUnitVisitor)`

Throws:
  `EX`

### visitModularCompilationUnit

@Nullable R visitModularCompilationUnit(Java.ModularCompilationUnit mcu) throws EX
Invoked by `Java.ModularCompilationUnit.accept(Visitor.AbstractCompilationUnitVisitor)`

Throws:
  `EX`